# $Revision: 1.5 $, $Date: 2006/05/21 15:56:11 $
%include /usr/lib/rpm/macros.java
# TODO: resolve tcljava.jar conflict with tclBlend
#
# Conditional build:
%bcond_with    javac   # use javac instead of jikes
#
Summary:	Java Application Command Language
Summary(pl):	Java Application Command Language - jzyk polece dla aplikacji
Name:		jacl
Version:	1.3.2
Release:	1
License:	BSD
Group:		Development/Languages/Java
Source0:	http://dl.sourceforge.net/tcljava/%{name}%{version}.tar.gz
# Source0-md5:	44ec6149e1664d4fc13651e9288dd2b6
URL:		http://tcljava.sourceforge.net/
%{!?with_javac:BuildRequires:  jikes}
BuildRequires:	jdk
BuildRequires:	sed >= 4.0
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jacl (which stands for Java Application Command Language) is a
platform independent scripting language for Java. The feature set and
functionality of Jacl are structured to mirror the scripting language
Tcl version 8.0. In addition to the write-once-run-anywhere
philosophy, Jacl provides it's user with two other key concepts.
First, Jacl enables users to write Tcl extensions entirely in Java.
Extension writers can use the classes supplied in tcl.lang.*, as well
as any other classes, to write portable extensions. Second, Jacl
includes the Java Package, which provides a direct Tcl interface to
Java Objects. For example, the Java Package contains a Tcl command,
java::info, that provides a Jacl user with information about the
public methods, fields, etc. of a given Java class or object. The Java
Package enables the user to script Java.

%description -l pl
Jacl (czyli Java Application Command Language) to niezaleny od
platformy jzyk skryptowy dla Javy. Zbir moliwoci i funkcjonalno
Jacla maj odzwierciedla jzyk skryptowy Tcl w wersji 8.0. Oprcz
filozofii "napisa raz, uruchamia wszdzie" Jacl udostpnia
uytkownikowi dwie inne kluczowe idee. Po pierwsze, Jacl pozwala na
pisanie rozszerze Tcl cakowicie w Javie. Piszcy rozszerzenia mog
uywa klas dostarczonych w tcl.lang.*, a take dowolnych innych klas
do pisania przenonych rozszerze. Po drugie, Jacl zawiera pakiet Java
udostpniajcy bezporedni interfejs Tcl-a do obiektw Javy. Na
przykad pakiet Java zawiera polecenie Tcl java::info udostpniajce
uytkownikowi Jacla informacje o publicznych metodach, polach itp.
danej klasy czy obiektu Javy. Pakiet Java pozwala uywa Javy w sposb
skryptowy.

%prep
%setup -q -n %{name}%{version}

%build
unset CLASSPATH || :
unset JAVA_HOME || :
export JAVA_HOME="%{java_home}" 
%configure2_13 \
       %{?with_javac:--without-jikes} \
	--with-jdk="%{java_home}"
%{__make} \
       %{?with_javac:JAVAC_FLAGS="-g -source 1.4"}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BIN_INSTALL_DIR=$RPM_BUILD_ROOT%{_bindir} \
	XP_LIB_INSTALL_DIR=$RPM_BUILD_ROOT%{_javadir} \
	XP_TCLJAVA_INSTALL_DIR=$RPM_BUILD_ROOT%{_javadir}

sed -i -e 's,^XP_LIB_INSTALL_DIR=.*,XP_LIB_INSTALL_DIR="%{_javadir}",' \
	$RPM_BUILD_ROOT%{_bindir}/jaclsh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README changes.txt diffs.txt known_issues.txt license.*
%attr(755,root,root) %{_bindir}/jaclsh
%{_javadir}/jacl.jar
# XXX: dup with tclBlend
%{_javadir}/tcljava.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jacl.spec,v $
Revision 1.5  2006/05/21 15:56:11  jajcus
- Version: 1.3.2
- use jpackage and current jdk location
- jdk is needed even when building with jikes

Revision 1.4  2005/10/30 17:10:39  adamg
- set JAVA_HOME (configure fails without this)

Revision 1.3  2005/08/14 11:32:24  glen
- I see no arch specific files here. noarch the package

Revision 1.2  2005/05/08 16:02:01  qboosh
- fix javadir in jaclsh

Revision 1.1  2005/05/07 19:05:20  qboosh
- new
